Page MenuHomePhabricator

Invert configuration for GrowthExperiments
Closed, ResolvedPublic

Description

Motivation: Tasks like T224903: First Selenium automation test for GrowthExperiments extension (Homepage) are currently impossible in our CI setup (see T199939) since our config switches default to having all features (welcome survey, help panel, homepage, etc) off. As noted in T199939#5106064, the alternative would be to make all features in GrowthExperiments available and working by default.

We would then need to revisit the settings in mediawiki-config repo, both for production and beta labs, and ensure that we switch on any features before they are ready. (However IIRC at the moment all features are enabled for all wikis that use GrowthExperiments.)

Going forward, if a wiki wants to use GrowthExperiments but does not want to use e.g. WelcomeSurvey, we need to ensure that our configuration changes the default from true to false.

Event Timeline

kostajh created this task.Jul 31 2019, 9:14 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 31 2019, 9:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kostajh added a subscriber: Tgr.

@Tgr this might be another good onboarding task to familiarize yourself with the various configuration switches.

Change 527103 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] (wip) Invert configuration

https://gerrit.wikimedia.org/r/527103

Hey @kostajh @MMiller_WMF and I are having a hard time determining where on the board to put this due to the technical nature of it. If this is something Gergo is going to work on soon, please put it in Upcoming and assign it to him.

We have grooming tomorrow and will determine the priority of this during that meeting.

We have grooming tomorrow and will determine the priority of this during that meeting.

@JTannerWMF was there a decision on this?

kostajh claimed this task.Aug 20 2019, 2:39 PM
kostajh edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Moving to current sprint since I have a patch for review on this anyway. I'd also like to revisit T218345 which this patch would allow us to pursue further.

Change 527103 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Invert configuration, defaulting features to "on"

https://gerrit.wikimedia.org/r/527103

Etonkovidova closed this task as Resolved.Sep 5 2019, 10:54 PM